# sdm admin servers clone

```shell
NAME:
   sdm admin servers clone - create a new server using an existing server as a template

USAGE:
   sdm admin servers clone command [command options] [arguments...]

COMMANDS:
   rawtcp                                         clone TCP server
   rdp                                            clone RDP server
   rdp-cert, rdpCert                              clone RDP (Certificate Based) server
   ssh                                            clone SSH (Public Key) server
   ssh-cert, sshCert                              clone SSH (Certificate Based) server
   ssh-cert-user-provision, sshCertUserProvision  clone SSH (Certificate Based with User Provisioning) server
   ssh-customer-key                               clone SSH (Customer Managed Key) server
   sshPassword                                    clone SSH (Password) server

OPTIONS:
   --help, -h  show help
```

#### rawtcp

```shell
NAME:
   sdm admin servers clone rawtcp - clone TCP server

USAGE:
   sdm admin servers clone rawtcp [command options] <ID>

OPTIONS:
   --delete-all-tags      
   --delete-tags value    delete-tags e.g. 'key,...'
   --egress-filter value  apply filter to select egress nodes e.g. 'field:name tag:key=value ...'
   --hostname value       The traffic content is not recorded.
   --name value           datasource name
   --port value           (default: 0)
   --port-override value  port profile override (default: -1)
   --tags value           tags e.g. 'key=value,...'
```

#### rdp

```shell
NAME:
   sdm admin servers clone rdp - clone RDP server

USAGE:
   sdm admin servers clone rdp [command options] <ID>

OPTIONS:
   --delete-all-tags            
   --delete-tags value          delete-tags e.g. 'key,...'
   --downgrade-nla-connections  Note: when downgraded, StrongDM cannot verify usernames and passwords for Remote Desktop connections
   --egress-filter value        apply filter to select egress nodes e.g. 'field:name tag:key=value ...'
   --hostname value             
   --name value                 datasource name
   --password value             (secret)
   --port value                 (default: 0)
   --port-override value        port profile override (default: -1)
   --tags value                 tags e.g. 'key=value,...'
   --username value             (secret)
```

#### rdp-cert

```shell
NAME:
   sdm admin servers clone rdp-cert - clone RDP (Certificate Based) server

USAGE:
   sdm admin servers clone rdp-cert [command options] <ID>

OPTIONS:
   --bind-interface value                       IP address on which to listen for connections to this resource on clients. Specify "default", "loopback", or "vnm" to automatically allocate an available address from the corresponding IP range configured in the organization. (default: "default")
   --dc-hostnames value                         Comma-separated list of Active Directory Domain Controller hostnames for LDAPS SID resolution. Utilized for strong certificate mapping in full enforcement mode when the identity alias does not specify a SID.
   --delete-all-tags
   --delete-tags value                          delete-tags e.g. 'key,...'
   --egress-filter value                        apply filter to select egress nodes e.g. 'field:name tag:key=value ...'
   --hostname value
   --identity-alias-healthcheck-username value  The username of the AD service account that will be used for health checks, and LDAPS SID resolution if necessary.
   --identity-set-id value
   --identity-set-name value                    set the identity set by name
   --lock-required                              Require a resource lock to access the resource to ensure it can only be used by one user at a time.
   --name value                                 datasource name
   --port value                                 (default: 0)
   --port-override value                        Port on which to listen for connections to this resource on clients. Specify "-1" to automatically allocate an available port. (default: -1)
   --proxy-cluster-id value                     proxy cluster id
   --sid value                                  Windows Security Identifier (SID) of the configured Username, or AD service account if using LDAPS SID resolution, required for strong certificate mapping in full enforcement mode. (secret)
   --subdomain value, --bind-subdomain value    DNS subdomain through which this resource may be accessed on clients (e.g. "app-prod" allows the resource to be accessed as "app-prod.<your-org-name>.<sdm-proxy-domain>"). Only applicable to HTTP-based resources or resources using virtual networking mode.
   --tags value                                 tags e.g. 'key=value,...'
   --timeout value                              set time limit for command
   --username value                             (secret)
```

#### ssh

```shell
NAME:
   sdm admin servers clone ssh - clone SSH (Public Key) server

USAGE:
   sdm admin servers clone ssh [command options] <ID>

OPTIONS:
   --allow-deprecated-key-exchanges  sdm must use TLS to connect
   --delete-all-tags
   --delete-tags value               delete-tags e.g. 'key,...'
   --egress-filter value             apply filter to select egress nodes e.g. 'field:name tag:key=value ...'
   --hostname value
   --key-type value
   --name value                      datasource name
   --port value                      (default: 0)
   --port-forwarding
   --port-override value             port profile override (default: -1)
   --tags value                      tags e.g. 'key=value,...'
   --username value                  (secret)
```

#### ssh-cert

```shell
NAME:
   sdm admin servers clone ssh-cert - clone SSH (Certificate Based) server

USAGE:
   sdm admin servers clone ssh-cert [command options] <ID>

OPTIONS:
   --allow-deprecated-key-exchanges             sdm must use TLS to connect
   --bind-interface value                       bind interface (default: "127.0.0.1")
   --delete-all-tags
   --delete-tags value                          delete-tags e.g. 'key,...'
   --egress-filter value                        apply filter to select egress nodes e.g. 'field:name tag:key=value ...'
   --hostname value
   --identity-alias-healthcheck-username value
   --identity-set-id value
   --identity-set-name value                    set the identity set by name
   --key-type value
   --name value                                 datasource name
   --port value                                 (default: 0)
   --port-forwarding
   --port-override value                        port profile override (default: -1)
   --subdomain value, --bind-subdomain value                            DNS subdomain through which this resource may be accessed on clients (e.g. "app-prod" allows the resource to be accessed as "app-prod.<your-org-name>.<sdm-proxy-domain>"). Only applicable to HTTP-based resources or resources using virtual networking mode.
   --tags value                                 tags e.g. 'key=value,...'
   --timeout value                              set time limit for command
   --username value                             (secret)
```

#### ssh-customer-key

```shell
NAME:
   sdm admin servers clone ssh-customer-key - clone SSH (Customer Managed Key) server

USAGE:
   sdm admin servers clone ssh-customer-key [command options] <ID>

OPTIONS:
   --allow-deprecated-key-exchanges             sdm must use TLS to connect
   --bind-interface value                       bind interface (default: "127.0.0.1")
   --delete-all-tags
   --delete-tags value                          delete-tags e.g. 'key,...'
   --egress-filter value                        apply filter to select egress nodes e.g. 'field:name tag:key=value ...'
   --hostname value
   --identity-alias-healthcheck-username value
   --identity-set-id value
   --identity-set-name value                    set the identity set by name
   --name value                                 datasource name
   --port value                                 (default: 0)
   --port-forwarding
   --port-override value                        port profile override (default: -1)
   --private-key value                          The file path of the private key used to authenticate with the server. (secret)
   --subdomain value, --bind-subdomain value                            DNS subdomain through which this resource may be accessed on clients (e.g. "app-prod" allows the resource to be accessed as "app-prod.<your-org-name>.<sdm-proxy-domain>"). Only applicable to HTTP-based resources or resources using virtual networking mode.
   --tags value                                 tags e.g. 'key=value,...'
   --timeout value                              set time limit for command
   --username value                             (secret)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strongdm.com/references/cli/admin/servers/clone.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
